import ProTable from './ProTable/index.vue'
import TableSelect from './TableSelect/index.vue'
import ProTabs from './ProTabs/index.jsx'
import ProTree from './ProTree/index.vue'
import ProTree2 from './ProTree2/index.vue'
import ProTree3 from './ProTree3/index.vue'
import ProDialog from './ProDialog/index.vue'
import OpenModelButton from './OpenModelButton/index.vue'
import DepartTreePanel from './DepartTreePanel/index.vue'
import ReportComponent from './ReportComponent/index.vue'
import ProLayout3 from './ProLayout3/index.vue'




// import Tinymce from './Tinymce/index.vue'

import {Button, FormItem, TreeSelect, Modal, Upload, Row, Col, Card} from 'ant-design-vue'

let ProComponentsMount = {}
ProComponentsMount.install = function (Vue){
    Vue.component(ProTable.name,ProTable)
    Vue.component(TableSelect.name,TableSelect)
    Vue.component(ProTabs.name,ProTabs)
    Vue.component(ProTree.name,ProTree)
    Vue.component(ProDialog.name,ProDialog)
    // Vue.component(Tinymce.name,Tinymce)
    Vue.component('OpenModelButton',OpenModelButton)
    Vue.component('ProButton',Button)
    Vue.component('ProFormItem',FormItem)
    Vue.component('ProTreeSelect',TreeSelect)

    Vue.component('ProModal',Modal)
    Vue.component('ProUpload',Upload)
    Vue.component('ProRow',Row)
    Vue.component('ProCol',Col)
    Vue.component('ProCard',Card)
    Vue.component('DepartTreePanel',DepartTreePanel)
    Vue.component('ReportComponent',ReportComponent)
    Vue.component('ProTree2',ProTree2)
    Vue.component('ProTree3',ProTree3)
  Vue.component('ProLayout3',ProLayout3)

}
export default ProComponentsMount;
